Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 573918

Summary: Review Request: perl-NetPacket-LLC - Assemble and disassemble IEEE 802.3 LLC protocol packets
Product: [Fedora] Fedora Reporter: Jan Klepek <jan.klepek>
Component: Package ReviewAssignee: Marcela Mašláňová <mmaslano>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---Flags: mmaslano: fedora-review+
j: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-NetPacket-LLC-0.01-2.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-19 10:33:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 573848    
Bug Blocks: 573917    

Description Jan Klepek 2010-03-16 07:26:38 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket-LLC.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket-LLC-0.01-1.fc11.src.rpm
Description: NetPacket::LLC provides a set of routines for assembling and disassembling
packets using the IEEE standard LLC protocol layer.
Koji build: NA until dependency are available for koji, local build is ok
rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Marcela Mašláňová 2011-01-11 09:08:00 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license ?
 ^ License is ArtisticClarified, at least the link in LLC.pm
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -q --provides perl-NetPacket-LLC
perl(NetPacket::LLC) = 0.01
perl-NetPacket-LLC = 0.01-1.fc15

rpm -q --requires perl-NetPacket-LLC
perl(:MODULE_COMPAT_5.12.2)  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
perl >= 0:5.006
perl(strict)  
perl(vars)  
perl(warnings)  
rpmlib(VersionedDependencies) <= 3.0.3-1

Fix of license is needed.

Comment 3 Marcela Mašláňová 2011-01-11 11:32:45 UTC
Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2714577

ACCEPT

Comment 4 Jan Klepek 2011-01-11 11:46:00 UTC
New Package SCM Request
=======================
Package Name: perl-NetPacket-LLC
Short Description: Assemble and disassemble IEEE 802.3 LLC protocol packets
Owners: hpejakle
Branches: f13 f14 el5 el6
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-01-11 18:18:42 UTC
Git done (by process-git-requests).

Comment 6 Marcela Mašláňová 2011-02-28 10:00:08 UTC
Ping?

Did you forget to push it?

Comment 7 Fedora Update System 2011-03-07 18:02:12 UTC
perl-NetPacket-LLC-0.01-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-NetPacket-LLC-0.01-2.fc14

Comment 8 Fedora Update System 2011-03-07 18:02:21 UTC
perl-NetPacket-LLC-0.01-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-NetPacket-LLC-0.01-2.fc13

Comment 9 Fedora Update System 2011-03-08 20:23:20 UTC
perl-NetPacket-LLC-0.01-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 10 Fedora Update System 2011-03-19 10:33:14 UTC
perl-NetPacket-LLC-0.01-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Fedora Update System 2011-03-19 10:34:01 UTC
perl-NetPacket-LLC-0.01-2.fc14 has been pushed to the Fedora 14 stable repository.